/*
Theme Name:   	Storefront Child Theme
Theme URI:    	https://github.com/stuartduff/storefront-child-theme
Author:       	Stuart Duff
Author URI:     https://mauxui.com
Template:     	storefront
Description:  	This is a blank child theme for WooThemes StoreFront theme
Version:      	1.0.0
License:      	GNU General Public License v2 or later
License URI:  	http://www.gnu.org/licenses/gpl-2.0.html
Text Domain:  	storefront
Tags:         	black, white, light, two-columns, left-sidebar, right-sidebar, responsive-layout, custom-background, custom-colors, custom-header, custom-menu, featured-images, full-width-template, threaded-comments, accessibility-ready
This theme, like WordPress, is licensed under the GPL.
*/
/*
 * Add your own custom css below this text.
 */
a {
	outline:none !important;
	cursor:pointer;
}
p:last-child {
	margin-bottom: 0 !important;
}

.elementor-widget-text-editor :where(ul, ol):not(:last-child) {
	margin-bottom:10px;
}

h1 a, h2 a, h3 a, h4 a, h5 a, h6 a {
	font-weight: inherit;
}

.elementor-kit-82 a.elementor-menu-cart__toggle_button {
	background:none !important;
	width:52px;
	height:52px;
	padding:0;
	display:flex;
	align-items:center;
	justify-content:center;
	border:none;
	
	.elementor-button-icon .e-font-icon-svg {
		width:22px;
		height:22px;
	}
}

@media (max-width:1024px) {
	.ma_menu_wrap,
	.ma_widget_warp {
		max-width:104px;
	}
}

.woocommerce-MyAccount-navigation {
	ul {
		margin:0;
	}
}

@media (min-width: 768px) {
    .woocommerce-MyAccount-navigation {
        width:280px;
        margin-right:0;
    }
	div.col2-set,
	#order_review_heading,
	#order_review {
		width:100%;
	}
	ul.order_details {
		margin:20px 0 30px 0;
	}
}

.e-checkout__container {
	.e-sticky-right-column {
		display:flex;
		flex-direction:column;
	}
}

.woocommerce-checkout-review-order-table {
	.product-total,
	td:last-child {
		text-align:right;
	}
}

#order_review .shop_table {
	margin-bottom: 0 !important;
}

#place_order {
	margin-top:10px;
}

div.ma-product-item .e-con-inner {
	padding:16px 16px 24px 16px;
	position:relative;
	@media (max-width:600px) {
		padding:10px 10px 16px 10px;
	}
	
	a.ma-product--link {
		position:absolute;
		top:0;
		right:0;
		bottom:0;
		left:0;
		z-index:1;
	}
	
	.ma-product--cat,
	.ma-product--add-to-cart {
		position:relative;
		z-index:2;
	}
	
	.ma-product--add-to-cart a {
		border:none;
		box-shadow:none;
		outline:none;
		
		@media (max-width:1024px) {
			&.add_to_cart_button {
				padding:9px 12px 7px 12px;
				border:1px solid;
				margin-top:4px;
			}
		}
	}
	
	@media (min-width:1025px) {
		.ma-product--add-to-cart {
			background:white;
			position:relative;
			z-index:2;
			margin-top:-29px;
			opacity:0;
			transform:translatey(3px);
			transition:all ease-in-out 0.2s;
		}
		
		&:after {
			content:"";
			position:absolute;
			top:0;
			right:0;
			bottom:0;
			left:0;
			border:1px solid var(--e-global-color-primary);
			transition:all ease-in-out 0.2s;
			opacity:0;
		}

		&:hover {
			.ma-product--add-to-cart {
				transform:translatey(0);
				opacity:1;
			}
			&:after {
				opacity:1;
				top:8px;
				right:8px;
				bottom:8px;
				left:8px;
			}
		}
	}
}

nav.elementor-pagination {
	display:flex;
	align-items:center;
	justify-content:center;
	
	.page-numbers {
		min-width:32px;
		height:32px;
		line-height:32px;
		text-align:center;
		
		&.current,
		&:hover {
			background:#fff;
		}
	}
}

div.storefront-breadcrumb,
.single-product div.product p.price,
.single-product div.product .woocommerce-product-rating {
	margin:0 !important;
}
ol, ul {
	margin:0 0 10px 20px;
}
.storefront-full-width-content.single-product #reviews .commentlist li .avatar {
	width:40px;
	margin-right:10px;
}
.storefront-full-width-content.single-product #reviews .commentlist li .comment_container .comment-text {
	width:calc(100% - 50px);
	margin-top:-4px;
}
#reviews .commentlist li:not(:last-child) {
	margin-bottom:24px;
}
#reviews .commentlist li p.meta {
	margin-bottom:4px;
}
.woocommerce-tabs .panel h2:first-of-type {
	margin-bottom:10px;
}

.custom_header {
	position:fixed;
	top:0;
	left:0;
	right:0;
	z-index:999;
	transition:all ease-in-out 0.2s;
	
	@media (min-width:1025px) {
		&:not(.sticky_header) {
			transform:translatey(-100%);
		}
	}
}

.elementor-widget-woocommerce-my-account .e-my-account-tab:not(.e-my-account-tab__dashboard--custom) .woocommerce .login .button, .elementor-widget-woocommerce-my-account .e-my-account-tab:not(.e-my-account-tab__dashboard--custom) .woocommerce .register .button, .elementor-widget-woocommerce-my-account .e-my-account-tab:not(.e-my-account-tab__dashboard--custom) .woocommerce .woocommerce-ResetPassword .button {
	background-color:var(--e-global-color-primary);
}

address {
	font-style:normal;
}
.elementor-widget-woocommerce-checkout-page,
.elementor-widget-woocommerce-checkout-page .woocommerce .shop_table tfoot td, .elementor-widget-woocommerce-checkout-page .woocommerce .shop_table tfoot th {
	color:var(--e-global-color-text);
}
h2.woocommerce-order-details__title,
h2.woocommerce-column__title,
h2.comments-title,
h2.woocommerce-Reviews-title {
	font-size:24px;
	@media (max-width:600px) {
		font-size:18px;
	}
}
.woocommerce-order-details {
	.woocommerce-table--order-details {
		padding:20px;
		margin-bottom:24px !important;
		@media (max-width:600px) {
			padding:16px;
		}
	}
}
.elementor-widget-woocommerce-checkout-page .woocommerce .shop_table td, .elementor-widget-woocommerce-checkout-page .woocommerce .shop_table th, .elementor-widget-woocommerce-checkout-page .woocommerce .shop_table tr {
	padding-top:8px;
	padding-bottom:8px;
}

section#comments {
	background-color:var(--e-global-color-a62ac9b);
	padding:0;
	
	.comment-body {
		display:flex;
		
		.comment-content {
			flex:1;
			margin:0;
			padding-bottom:10px;
		}
	}
	
	h2.comments-title {
		padding:20px;
		margin:0;
	}
	
	ol.comment-list {
		padding:30px;
		margin:0;
		@media (max-width:600px) {
			padding:12px;
		}
		
		.comment-meta {
			width:100px;
			font-size:14px;
			line-height:1.2;
			margin:0 20px 10px 0;
			@media (max-width:600px) {
				margin:0 10px 6px 0;
			}
			
			.avatar {
				max-width:40px;
				margin-bottom:6px;
			}
			
			a.comment-date {
				font-size:11px;
				@media (max-width:600px) {
					font-size:10px;
				}
			}
		}
		
		.reply {
			margin:0;
		}
		
		.comment-content .comment-text {
			padding:20px;
			@media (max-width:600px) {
				padding:16px;
			}
		}
	}
}

button.show-password-input,
button.display-password {
	background-color:transparent;
	color:#000000;
	&::after {
		color:#000000 !important;
	}
}

.ma_my_account .elementor-icon-wrapper {
	width: 52px;
    height: 52px;
    display: flex;
    align-items: center;
    justify-content: center;
}

